# Interface ILabelProvider

All Superinterfaces:
  `IBaseLabelProvider`

All Known Subinterfaces:
  `ICommonLabelProvider, ICompareInputLabelProvider, IDebugModelPresentation, IDebugModelPresentationExtension, IInstructionPointerPresentation, IMemoryBlockTablePresentation`

All Known Implementing Classes:
  `AbstractSynchronizationLabelProvider, AbstractSynchronizeLabelProvider, ColumnLabelProvider, ComboBoxLabelProvider, DecoratingLabelProvider, EnvironmentTab.EnvironmentVariableLabelProvider, FileEditorMappingLabelProvider, LabelProvider, ListeningLabelProvider, NamedHandleObjectLabelProvider, ObservableMapLabelProvider, PerspectiveLabelProvider, PreferenceLabelProvider, PropertyColumnLabelProvider, RefactoringHistoryLabelProvider, SynchronizationLabelProvider, TableColumnViewerLabelProvider, TreeColumnViewerLabelProvider, URLLabelProvider, org.eclipse.jface.internal.databinding.provisional.viewers.ViewerLabelProvider, WorkbenchLabelProvider, WorkbenchPartLabelProvider`

public interface ILabelProvider extends IBaseLabelProvider
Extends `IBaseLabelProvider` with the methods to provide the text and/or image for the label of a given element. Used by most structured viewers, except table viewers.

## Method Summary

Modifier and Type
Method
Description
`Image`
`getImage(Object element)`
Returns the image for the label of the given element.
`String`
`getText(Object element)`
Returns the text for the label of the given element.

### Methods inherited from interface IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

## Method Details

### getImage

Image getImage(Object element)
Returns the image for the label of the given element. The image is owned by the label provider and must not be disposed directly. Instead, dispose the label provider when no longer needed.

Parameters:
  `element` - the element for which to provide the label image
Returns:
  the image used to label the element, or `null` if there is no image for the given object

### getText

String getText(Object element)
Returns the text for the label of the given element.

Parameters:
  `element` - the element for which to provide the label text
Returns:
  the text string used to label the element, or `null` if there is no text label for the given object